<!DOCTYPE html>
<html>
<head>
	<title>Directive In Vue Js</title>
</head>
<body>
	<div id="app">
		<!-- <input type="text" v-test:name="'Nguyen Van A'" /> -->

		<div v-test:display="true">
			<h3>Test Directive</h3>
		</div>
	</div>

	<script src="https://cdn.jsdelivr.net/npm/vue"></script>
	<script>
		Vue.directive('test', {
			bind: (el, binding, vnode) => {
				if (binding.value == false) {
					el.style.display = 'none';	
				}
			}
		})

		new Vue({
			el: '#app',
			data: {
				posts: [
					{name: 'Post one'},
					{name: 'Post two'},
					{name: 'Post three'},
				],
				medias: [
					{name: 'Media one'},
					{name: 'Media two'},
					{name: 'Media three'},
				]
			}
		})
	</script>
</body>
</html>